Commit Graph

6336 Commits

Author SHA1 Message Date
Jeromy Johnson
3e8fcc5b28 Merge pull request #3077 from ipfs/feat/is-domain-to-gxx
deps: move go-is-domain to gx
2016-08-16 09:24:53 -07:00
Jeromy
1f3f1f65da version bump to 0.4.4-dev
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-16 09:23:26 -07:00
Jeromy Johnson
f2127af019 Merge pull request #3088 from ipfs/feature/add-period
Add period to `ipfs pin rm`
2016-08-16 09:22:30 -07:00
Jeromy Johnson
b5a6f76283 Merge pull request #3087 from kevinsimper/patch-1
Update dns help with a correct domain name
2016-08-16 09:22:18 -07:00
Jeromy Johnson
1d0c00eb29 Merge pull request #3090 from ipfs/feat/test-cover-blocks-util
test: 100% coverage for blocks/blocksutil
2016-08-16 09:22:07 -07:00
Jeromy Johnson
4eb7c6c353 Merge pull request #3085 from ipfs/fix-test_fsh
ipfs-test-lib: fix test_fsh arg quoting
2016-08-16 09:21:59 -07:00
Jakub Sztandera
21cbb90960
test: 100% coverage for blocks/blocksutil
This was easy.

License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-16 13:03:20 +02:00
Richard Littauer
b76dcb8dd7 Add period to ipfs pin rm
Small doc fix.

License: MIT
Signed-off-by: Richard Littauer <richard.littauer@gmail.com>
2016-08-15 10:46:15 -04:00
Kevin Simper
e3a42d983e Update dns help with a correct domain name
Closes https://github.com/ipfs/faq/issues/161

License: MIT
Signed-off-by: Kevin Simper <kevin.simper@gmail.com>
2016-08-15 13:24:41 +02:00
Christian Couder
2489dfe8a9 ipfs-test-lib: fix test_fsh arg quoting
test_fsh() should quote its arguments before passing them
to `eval` otherwise there are problems when the arguments
contain spaces.

For example when running the following program:

```
#!/bin/sh

. ./ipfs-test-lib.sh

die () {
    printf >&2 "%s\n" "$@"
    exit 1
}

DIR1="test dir 1"
DIR2="test dir 2"

mkdir "$DIR1" "$DIR2" || die "Could not mkdir '$DIR1' '$DIR2'"

echo "in dir 1" >"$DIR1/file1" || die "Could not write into '$DIR1/file1'"
echo "in dir 2" >"$DIR2/file2" || die "Could not write into '$DIR2/file2'"

if test_cmp "$DIR1/file1" "$DIR2/file2"
then
    echo "test_cmp succeeded!"
else
    echo "test_cmp failed!"
fi

rm -rf "$DIR1" "$DIR2" || die "Could not rm -rf '$DIR1' '$DIR2'"

```

we get:

```
> diff -u test dir 1/file1 test dir 2/file2
diff: extra operand '1/file1'
diff: Try 'diff --help' for more information.

test_cmp failed!
```

License: MIT
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
2016-08-15 12:10:15 +02:00
Jakub Sztandera
cf23ab9ff4 deps: move go-is-domain to gx
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-12 16:41:18 +02:00
Jeromy
685cd28dc8
ipfs version 0.4.3-rc3
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-09 19:22:46 -07:00
Jeromy
ab0492c3e9 update changelog
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-09 16:25:36 -07:00
Jeromy Johnson
16f857040f Merge pull request #3050 from ipfs/fix/stdin-zero-panic
commands: fix panic when stdin is empty for string args
2016-08-07 12:23:23 -07:00
Jeromy Johnson
6e5d0ab6e3 Merge pull request #3048 from zramsay/boot2docker-is-deprecated
boot2docker-cli is deprecated, removed from README
2016-08-07 09:34:55 -07:00
Jeromy
8a75a8cf08 commands: fix panic when stdin is empty for string args
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-07 09:24:17 -07:00
zramsay
3069adf535 boot2docker-cli is deprecated, removed from README
- Docker for Mac/Windows is out of beta
- docker-machine is recommended for unsupported machines

License: MIT
Signed-off-by: Zach Ramsay <zach@erisindustries.com>
2016-08-06 23:28:16 +01:00
Jeromy Johnson
1eb94e64e3 Merge pull request #2990 from csasarak/janky_version
Alias 'ipfs --version' to 'ipfs version'
2016-08-04 06:58:15 -07:00
Jeromy
813bcb641d ipfs version 0.4.3-rc2
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-04 03:50:18 -07:00
Jeromy
5ac6ede829 update changelog
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-04 03:50:18 -07:00
Jeromy
8fd6c82834 update changelog about ipfs add progress fix
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-04 03:50:18 -07:00
Jakub Sztandera
16e0c7b4ac CHANGELOG for 0.4.3-rc2
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-04 03:50:18 -07:00
Jeromy Johnson
2a4560c396 Merge pull request #3036 from ipfs/fix/wlist-race
bitswap: fix a minor data race
2016-08-04 03:46:38 -07:00
Jeromy Johnson
af0d9c0ef1 Merge pull request #3037 from ipfs/feat/detect-issue-3032
dht: add in code to detect and diagnose #3032
2016-08-04 03:46:25 -07:00
Jeromy
71a699ca09 bitswap: fix a minor data race
race detector picked up a minor race condition, Since loop iteration
reuses the same local variable, its not safe to take its address and use
it concurrently. The fix is to rebind the variable into a controlled
scope (creating a new variable) and taking the address of that to pass
outwards.

License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-04 03:33:00 -07:00
Jeromy
ce6782a22d dht: add in code to detect and diagnose #3032
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-03 18:19:47 -07:00
Jeromy Johnson
241bfceeb3 Merge pull request #3017 from JesseWeinstein/fix_doc
-enc is spelled with two dashes, not one
2016-08-03 11:21:35 -07:00
Jeromy Johnson
5a831ff16d Merge pull request #3033 from ipfs/fix/stdin-read-msg
commands/cli: fix reading from stdin message
2016-08-03 11:19:34 -07:00
Jeromy Johnson
ffba700ea6 Merge pull request #3022 from ipfs/feature/daemon-mount-offline-flag
Feature/daemon mount offline flag
2016-08-03 10:30:54 -07:00
Jeromy
068c6d2211 commands/cli: fix reading from stdin message
Only print "Reading from /dev/stdin" message when we actually read from
stdin (and not in other cases such as ipfs add --help).

License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-03 09:04:41 -07:00
Jakub Sztandera
a42302443b cli: reword message about mount and offline
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 08:04:07 -07:00
Jeromy Johnson
16c5a89dd4 Merge pull request #3023 from ipfs/feature/eval-symlink-windows
cli: do ToSlash after EvalSymlinks to remove platform specific slashes
2016-08-03 06:29:54 -07:00
Jeromy Johnson
8c77ff8188 Merge pull request #2983 from yuvallanger/sort-subcommands
Sort SUBCOMMANDS section of help output
2016-08-03 05:35:05 -07:00
Jakub Sztandera
8273b0f493 sharness: fix improper use of test_expect_failure
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 05:24:20 -07:00
Jakub Sztandera
2cae0bc616 daemon: ipfs daemon --offline --mount should fail with nice message
ipfs daemon --offline;
ipfs mount;
fails. This uniforms this behaviour.

License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 05:24:20 -07:00
Jeromy Johnson
8405b56df0 Merge pull request #3026 from ipfs/feature/blockstore-separation
blockstore: extract ARC cache from Bloom cache
2016-08-03 05:17:34 -07:00
Jakub Sztandera
61b481628a blockstore: cleanup the style removing some mess from the refactor
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-03 13:54:37 +02:00
Jeromy Johnson
1c41cac860 Merge pull request #3027 from ipfs/fix/add-finalize-mem
don't cache entire mfs tree on add finalize
2016-08-02 17:54:25 -07:00
Jakub Sztandera
9543ed6ca1 blockstore: cleanup style a bit
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-02 15:03:27 +01:00
Jakub Sztandera
4183902e46 blockstore: extract ARC cache from Bloom cache
it removes race condition that would happen during various calls

License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-02 01:10:48 +01:00
Jeromy
ac3f9aceb4 don't cache entire mfs tree on add finalize
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-01 16:53:45 -07:00
Jeromy Johnson
33510a9a29 Merge pull request #3025 from ipfs/fix/progress-defaults
default add progress to false, unless using CLI
2016-08-01 10:35:41 -07:00
Jeromy
1b50fcefed default add progress to false, unless using CLI
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-01 10:03:43 -07:00
Jakub Sztandera
40741eae19 cli: do ToSlash after EvalSymlinks to remove platform specific slashes
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-01 16:38:29 +01:00
Jeromy Johnson
8d3a77729a Merge pull request #3021 from ipfs/fix/auto-migrate-windows
extract binaries with .exe name on windows
2016-08-01 08:19:07 -07:00
Jeromy
fca5b34449 extract binaries with .exe name on windows
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-01 07:59:36 -07:00
Jeromy Johnson
149819f8bb Merge pull request #3007 from ipfs/feature/refs-format-regression
commands: fix refs 'edges' option work
2016-08-01 04:45:16 -07:00
Jesse Weinstein
9f4a842162 -enc is spelled with two dashes, not one
License: MIT
Signed-off-by: Jesse Weinstein <jesse@wefu.org>
2016-07-29 23:04:54 -07:00
Jakub Sztandera
66686e66be commands: fix refs 'edges' option work
also change it to use format instead of separate variable

License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-07-28 20:25:32 +01:00
Jeromy Johnson
0bd8ced0d6 Merge pull request #2993 from ipfs/fix/provstore-batching
use batching datastore for providers storage
2016-07-28 03:27:21 -07:00